aboutsummaryrefslogtreecommitdiff
path: root/tools/XBMCLive/SDK/copyFiles-addons.sh.lucid-variant
diff options
context:
space:
mode:
authorlcapriotti <lcapriotti@svn>2010-07-02 15:56:14 +0000
committerlcapriotti <lcapriotti@svn>2010-07-02 15:56:14 +0000
commitaa77239e6d1371f096247a4bf93d0d8b926c4b40 (patch)
tree1dc6ffb1dbe99cf16cb72aeedfbd3a65a7e6d72c /tools/XBMCLive/SDK/copyFiles-addons.sh.lucid-variant
parent6168da7a054dfbf0a79f469e4cee2132ba1d896d (diff)
add selected addons to base image
git-svn-id: https://xbmc.svn.sourceforge.net/svnroot/xbmc/trunk@31578 568bbfeb-2a22-0410-94d2-cc84cf5bfa90
Diffstat (limited to 'tools/XBMCLive/SDK/copyFiles-addons.sh.lucid-variant')
-rwxr-xr-xtools/XBMCLive/SDK/copyFiles-addons.sh.lucid-variant40
1 files changed, 40 insertions, 0 deletions
diff --git a/tools/XBMCLive/SDK/copyFiles-addons.sh.lucid-variant b/tools/XBMCLive/SDK/copyFiles-addons.sh.lucid-variant
new file mode 100755
index 0000000000..c7afa36862
--- /dev/null
+++ b/tools/XBMCLive/SDK/copyFiles-addons.sh.lucid-variant
@@ -0,0 +1,40 @@
+#!/bin/bash -x
+
+# Copyright (C) 2010 Team XBMC
+# http://www.xbmc.org
+#
+# This Program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This Program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with XBMC; see the file COPYING. If not, write to
+# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+# http://www.gnu.org/copyleft/gpl.html
+
+echo "Retrieving addons..."
+
+repoURL="http://mirrors.xbmc.org/addons/dharma-pre/"
+ADDONSLIST=(script.bootable.disk.wizard script.rss.editor)
+
+mkdir -p $WORKPATH/buildLive/Files/chroot_local-includes/usr/share/xbmc/addons &> /dev/null
+
+for k in "${ADDONSLIST[@]}" ; do
+ echo " $k"
+
+ addonURL="$repoURL$k/"
+
+ latestPackage=$(curl -x "" -s -f $addonURL | grep -o "$k[^\"]*.zip" | sort -r -k2 -t_ -n | head -n 1)
+ wget --no-proxy -q "$addonURL$latestPackage"
+ if [ "$?" -ne "0" ] || [ ! -f $latestPackage ] ; then
+ echo "Needed package ($k) not found, exiting..."
+ exit 1
+ fi
+ unzip $latestPackage -d $WORKPATH/buildLive/Files/chroot_local-includes/usr/share/xbmc/addons
+done